gnutls_system_recv_timeout(3)

NAME
gnutls_system_recv_timeout - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_system_recv_timeout(gnutls_transport_ptr_t ptr, unsigned int ms);

ARGUMENTS

gnutls_transport_ptr_t ptr
    A file descriptor (wrapped in a gnutls_transport_ptr_t pointer)

unsigned int ms
    The number of milliseconds to wait.

DESCRIPTION
Wait for data to be received from the provided socket ( ptr ) within a timeout period in milliseconds, using select() on the provided ptr .

This function is provided as a helper for constructing custom callbacks for gnutls_transport_set_pull_timeout_function(), which can be used if you rely on socket file descriptors.

Returns -1 on error, 0 on timeout, positive value if data are available for reading.

SINCE
3.4.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/